module "gw" {
  source         = "../modules/hcloud_instance"
  instance_count = 1
  location       = var.location
  name           = "gw"
  dns_domain     = var.dns_domain
  dns_zone_id    = var.dns_zone_id
  dns_record_aaaa = false
  image          = "fedora-37"
  user_data      = templatefile("templates/cloud-init.tpl", {netbird_key = "${var.netbird_key}"})
  ssh_keys       = data.hcloud_ssh_keys.all_keys.ssh_keys.*.name
  server_type    = "cx11"
  labels         = {
    "cluster.kubernetes.io/k8s01" = "owner",
    "firewall.hetzner.si-infra.de/web" = "true",
    "firewall.hetzner.si-infra.de/email" = "true"
  }
  subnet         = hcloud_network_subnet.subnet.id
}
