.PHONY: flux-preflight
flux-preflight:
	# Checking for required variables
	env | grep -Pe '^GITLAB_TOKEN' > /dev/null

.PHONY: flux-watch
flux-watch: ## flux: Show currently deployed resources an their status in all namespaces
	koolbox flux get all --all-namespaces

.PHONY: flux-update-git
flux-update-git: ## flux: Reload flux-system repository
	koolbox flux reconcile source git flux-system

.PHONY: flux-bootstrap
flux-bootstrap: flux-preflight
	flux bootstrap gitlab \
	  --hostname=git.shivering-isles.com \
	  --ssh-hostname=git.shivering-isles.com:2222 \
	  --ssh-key-algorithm ed25519 \
	  --owner=shivering-isles \
	  --repository=infrastructure-gitops \
	  --path=clusters/k8s01
